<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Configuring Unit Test Settings</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Configuring Unit Test Settings</h2>
<p><small><a href="#seealso">See Also</a>&nbsp;</small>
<p>The IDE enables you to customize the process of test generation as you create tests. You can also edit the list of sources the IDE
  references when compiling tests.</p>


<p><b>To edit unit test settings as you create tests:</b></p>
<ol>
  <li>Right-click the sources for which you wish to create tests.</li> 
  <li>Choose Tools &gt; Create Tests (Ctrl-Shift-U). </li>
  <li>Select a unit test framework.</li>
  <li>In the Create Tests dialog box, select the Code Generation options you require 
    for the tests.</li>
</ol>    
    <p>The IDE creates the tests with the specified options. </p>

<p><b>To edit the classpath for compiling or running tests:</b></p>
<ol>
  <li>Right-click the project's Test Libraries node and choose one of the following: 
    <ul>
      <li><b><a href="../compile/comp_dependencies.html">Add Project</a>.</b> 
        The build output, source files, and Javadoc files of another IDE project.</li>
      <li><b><a href="../compile/comp_libraries.html">Add Library</a>. </b>A collection 
        of binary files, source files, and Javadoc files.</li>
      <li><b>Add JAR/Folder.</b> A JAR file or folder somewhere on your system.</li>
    </ul>
  </li>
  <li>Click OK. 
    <p>The IDE adjusts and stores the classpath priorities based on the new settings. </p>
  </li>
</ol>

<dl> 
  <dt><a name="seealso">See Also</a></dt>
  <dd><a href="junit_creatingtests.html">Creating a Unit Test</a></dd>
  <dd><a href="../compile/comp_classpath.html">Managing the Classpath</a></dd>
</dl>
<hr>
<small><a href="../credits.html">Legal Notices</a></small>
<table border="0" cellpadding="50">
  <tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
